swSpice {oce} | R Documentation

## Seawater spiciness

### Description

Compute seawater "spice" (a variable orthogonal to density in TS space).

### Usage

    swSpice(salinity, temperature=NULL, pressure=NULL)

### Arguments

`salinity` | either salinity [PSU] (in which case `temperature` and `pressure` must be provided) or a `ctd` object (in which case `salinity`, `temperature` and `pressure` are determined from the object, and must not be provided in the argument list).
`temperature` | in-situ temperature [degC] on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | seawater pressure [dbar]

### Details

If the first argument is a `ctd` object, then salinity, temperature and pressure values are extracted from it, and used for the calculation.

Roughly speaking, seawater with a high spiciness is relatively warm and salty compared with less spicy water. Another interpretation is that spice is a variable measuring distance orthogonal to isopycnal lines on TS diagrams (if the diagrams are scaled to make the isopycnals run at 45 degres). The definition used here is that of Pierre Flament. (Other formulations exist.) Note that pressure is ignored in the definition. Spiceness is sometimes denoted pi(S,t,p).

### Value

Spice [kg/m^3].

### Author(s)

Dan Kelley

### References

P. Flament, 2002. A state variable for characterizing water masses and their diffusive stability: spiciness. Progr. Oceanog., 54, 493-501.

[Package oce version 0.9-18 Index]